Package qsardes.molecule

# Class Molecule

java.lang.Object
qsardes.molecule.Molecule

public final class Molecule extends Object
Clones the internal molecular representation of a MoleculeBuilder object and adds manipulators and calculators.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final record`
  `Molecule.IntrState`
  Stores the atomic intrinsic state, sigma and valence electrons count.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Molecule(AbstractMoleculeBuilder mol_build)`
  Constructs a molecular representation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final Molecule.IntrState`
  `calc_intrinsic_state_kier_hall(org.openscience.cdk.interfaces.IAtom atom)`
  Gets atom Kier-Hall intrinsic state value and electrons valence counts.
  `final Molecule.IntrState`
  `calc_intrinsic_state_kier_hall_elneg(org.openscience.cdk.interfaces.IAtom atom)`
  Gets atom intrinsic state based on Kier-Hall relative electronegativity value, as defined in Molconn-Z, and electrons valence counts.
  `final Molecule.IntrState`
  `calc_intrinsic_state_molconn(org.openscience.cdk.interfaces.IAtom atom)`
  Gets atom intrinsic state value calculated according to the Molconn-Z valence electrons count definition, and gets electrons valence counts.
  `void`
  `convert_impl_to_expl_hydrogens()`
  Converts the hydrogens of the internal CDK atom container representation from implicit to explicit.
  `org.openscience.cdk.interfaces.IAtomContainer`
  `get_atom_container()`
  Gets the molecular CDK atom container.
  `org.jgrapht.graph.DefaultDirectedGraph<Integer,CustomEdge>`
  `get_graph()`
  Gets the directed graph of the molecular representation.
  `void`
  `remove_hydrogens()`
  Removes the hydrogens of the internal CDK atom container representation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Molecule

    public Molecule(AbstractMoleculeBuilder mol_build) throws CloneNotSupportedException
    Constructs a molecular representation.
    Parameters:
      `mol_build` - MolecularBuilder object.
    Throws:
      `CloneNotSupportedException`

- ## Method Details

  - ### get_atom_container

    public org.openscience.cdk.interfaces.IAtomContainer get_atom_container()
    Gets the molecular CDK atom container.
    Returns:
      CDK atom container.

  - ### get_graph

    public org.jgrapht.graph.DefaultDirectedGraph<Integer,CustomEdge> get_graph()
    Gets the directed graph of the molecular representation.
    Returns:
      directed graph.

  - ### convert_impl_to_expl_hydrogens

    public void convert_impl_to_expl_hydrogens() throws org.openscience.cdk.exception.CDKException
    Converts the hydrogens of the internal CDK atom container representation from implicit to explicit.
    Throws:
      `org.openscience.cdk.exception.CDKException`

  - ### remove_hydrogens

    public void remove_hydrogens()
    Removes the hydrogens of the internal CDK atom container representation.

  - ### calc_intrinsic_state_kier_hall

    public final Molecule.IntrState calc_intrinsic_state_kier_hall(org.openscience.cdk.interfaces.IAtom atom)
    Gets atom Kier-Hall intrinsic state value and electrons valence counts.
    Parameters:
      `atom` - CDK atom
    Returns:

  - ### calc_intrinsic_state_kier_hall_elneg

    public final Molecule.IntrState calc_intrinsic_state_kier_hall_elneg(org.openscience.cdk.interfaces.IAtom atom)
    Gets atom intrinsic state based on Kier-Hall relative electronegativity value, as defined in Molconn-Z, and electrons valence counts.
    Parameters:
      `atom` - CDK atom
    Returns:

  - ### calc_intrinsic_state_molconn

    public final Molecule.IntrState calc_intrinsic_state_molconn(org.openscience.cdk.interfaces.IAtom atom)
    Gets atom intrinsic state value calculated according to the Molconn-Z valence electrons count definition, and gets electrons valence counts.
    Parameters:
      `atom` - CDK atom
    Returns: